EOMGEvent (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.event
Class EOMGEvent

    java.lang.Object
      com.bbn.openmap.omGraphics.event.EOMGEvent

    public class EOMGEvent

extends java.lang.Object

The EOMGEvent describes a change in state of an EditableOMGraphic. State, that is, in terms of what the StateMachine is interested in. Whenever a EOMG state changes, the EOMG fires a chance through one of these events so that any interested party can find out what's going on.

Author:
  ddietrick

Field Summary
`protected java.awt.Cursor` | `cursor` The Cursor that should be active after this event is received.
`static int` | `EOMG_AUX` This is a state where something different or extra is being done.
`static int` | `EOMG_COMPLETE` The state where the editing is complete.
`static int` | `EOMG_DEFINED` The Graphic is defined and in a stable state without the grab points active.
`static int` | `EOMG_EDIT` The Graphic is defined, in a state of flux.
`static int` | `EOMG_SELECTED` The Graphic is defined, in a stable state with the grab points active.
`static int` | `EOMG_UNCHANGED` The status of the EditableOMGraphic hasn't changed.
`static int` | `EOMG_UNDEFINED` Nothing about the graphic is known or defined.
`static int` | `EOMG_UNDO` A state where the current OMGraphic state should be saved for an Undo operation.
`protected java.lang.String` | `message` An instructional/error message that should be presented to the user.
`protected java.awt.event.MouseEvent` | `mouseEvent` A java MouseEvent that might have caused this EOMGEvent.
`protected EditableOMGraphic` | `source` The EOMG in question.
`protected int` | `status` The status of the EOMG as this event is sent.

Constructor Summary
`EOMGEvent()` Deactivation event.
`EOMGEvent(EditableOMGraphic source, java.awt.Cursor cursor, java.lang.String message, java.awt.event.MouseEvent me, int status)` Create an Event.

Method Summary
`java.awt.Cursor` | `getCursor()`
`java.lang.String` | `getMessage()`
`java.awt.event.MouseEvent` | `getMouseEvent()`
`EditableOMGraphic` | `getSource()`
`int` | `getStatus()`
`void` | `setCursor(java.awt.Cursor cur)`
`void` | `setMessage(java.lang.String message)`
`void` | `setMouseEvent(java.awt.event.MouseEvent me)`
`void` | `setSource(EditableOMGraphic eomg)`
`void` | `setStatus(int status)`
`boolean` | `shouldDeactivate()`
`boolean` | `shouldShowGUI()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EOMG_UNCHANGED

    public static final int EOMG_UNCHANGED

  The status of the EditableOMGraphic hasn't changed.

  See Also:
    Constant Field Values

### EOMG_UNDEFINED

    public static final int EOMG_UNDEFINED

  Nothing about the graphic is known or defined.

  See Also:
    Constant Field Values

### EOMG_DEFINED

    public static final int EOMG_DEFINED

  The Graphic is defined and in a stable state without the grab points active.

  See Also:
    Constant Field Values

### EOMG_SELECTED

    public static final int EOMG_SELECTED

  The Graphic is defined, in a stable state with the grab points active. Receiving an event with this status means that the EditableOMGraphic has returned to the stable state, and can be used as a trigger for other GUI updates.

  See Also:
    Constant Field Values

### EOMG_EDIT

    public static final int EOMG_EDIT

  The Graphic is defined, in a state of flux. The GrabPoints are being manipulated, and the graphic parameters are being modified as a result of this.

  See Also:
    Constant Field Values

### EOMG_AUX

    public static final int EOMG_AUX

  This is a state where something different or extra is being done. Grab point being added/defined, some other parameter of the graphic being modified where an extra state warrants it. There may be other auxillary states defined, and they should be defined to be greater than EOMG_COMPLETE.

  See Also:
    Constant Field Values

### EOMG_COMPLETE

    public static final int EOMG_COMPLETE

  The state where the editing is complete.

  See Also:
    Constant Field Values

### EOMG_UNDO

    public static final int EOMG_UNDO

  A state where the current OMGraphic state should be saved for an Undo operation.

  See Also:
    Constant Field Values

### source

    protected EditableOMGraphic source

  The EOMG in question.

### cursor

    protected java.awt.Cursor cursor

  The Cursor that should be active after this event is received. If null, then the cursor should be unchanged.

### message

    protected java.lang.String message

  An instructional/error message that should be presented to the user. If null, nothing should be displayed. Send an empty string to clear out what is currently being displayed.

### mouseEvent

    protected java.awt.event.MouseEvent mouseEvent

  A java MouseEvent that might have caused this EOMGEvent. Can be used by the listener to determine what type of action to take, to check if an option key was held down, etc. May be null!

### status

    protected int status

  The status of the EOMG as this event is sent. Will be EOMG_UNDEFINED, EOMG_DEFINED, EOMG_SELECTED, EOMG_EDIT or EOMG_COMPLETE.

Constructor Detail

### EOMGEvent

    public EOMGEvent(EditableOMGraphic source,
                     java.awt.Cursor cursor,
                     java.lang.String message,
                     java.awt.event.MouseEvent me,
                     int status)

  Create an Event.

### EOMGEvent

    public EOMGEvent()

  Deactivation event.

Method Detail

### setSource

    public void setSource(EditableOMGraphic eomg)

### getSource

    public EditableOMGraphic getSource()

### setCursor

    public void setCursor(java.awt.Cursor cur)

### getCursor

    public java.awt.Cursor getCursor()

### setMessage

    public void setMessage(java.lang.String message)

### getMessage

    public java.lang.String getMessage()

### setMouseEvent

    public void setMouseEvent(java.awt.event.MouseEvent me)

### getMouseEvent

    public java.awt.event.MouseEvent getMouseEvent()

  Returns:
    the MouseEvent that started the EOMG changing. May be null!

### shouldShowGUI

    public boolean shouldShowGUI()

### shouldDeactivate

    public boolean shouldDeactivate()

### getStatus

    public int getStatus()

### setStatus

    public void setStatus(int status)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details